ComRaidComRaid Docs
API referenceDeliveries

Mark delivery opened

Records that the device opened the Notification (optionally with an action button). Acks are accepted for 30 days after `sent_at` (or Delivery creation when unsent). Repeat acks return 200 with the stored status. Unknown `action_id` values return 400. SDKs drop 4xx responses from the ack queue.

POST
/deliveries/{id}/opened

Records that the device opened the Notification (optionally with an action button). Acks are accepted for 30 days after sent_at (or Delivery creation when unsent). Repeat acks return 200 with the stored status. Unknown action_id values return 400. SDKs drop 4xx responses from the ack queue.

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
attribution_token*string
action_id?string

Optional action button id on opened acknowledgements. Also marks the delivery opened.

Response Body

Acknowledged. Body status is the stored Delivery status.

Example Request
curl -X POST 'https://api.comraid.io/deliveries/497f6eca-6276-4993-bfeb-53cbbbba6f08/opened' \  -H 'Content-Type: application/json' \  -d '{  "attribution_token": "string"}'
Example Response
Empty